Bug 136663 - NetworkManager doesn't support bluetooth networking.
NetworkManager doesn't support bluetooth networking.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
: FutureFeature
: 453024 474080 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-21 11:28 EDT by David Woodhouse
Modified: 2011-02-24 00:02 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-24 00:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2004-10-21 11:28:44 EDT
When at home, I usually use bluetooth networking. 
NetworkManager doesn't support this.

There are two forms of Bluetooth networking which we support:
 - BNEP is Ethernet over Bluetooth
 - DUN is PPP over Bluetooth

In each case, remote Bluetooth hosts are detected with a call to
hci_inquiry() and each available host can be queried with
bnep_sdp_search(). See do_connect() in main.c in the pand and/or dund
directory of the bluez-utils source for examples.

NetworkManager should display the bdaddr and name of each Bluetooth
host which is advertising either DUN or PAN services, and allow the
user to connect.
Comment 1 Daniel Qarras 2007-09-19 15:47:41 EDT
FWIW, related bugs about IrDA networking and GPRS networking are Bug 296841 and
Bug 296851.
Comment 3 John Poelstra 2008-07-04 00:24:28 EDT
triaged
Comment 4 Dan Williams 2008-07-24 18:47:47 EDT
*** Bug 453024 has been marked as a duplicate of this bug. ***
Comment 5 Dan Williams 2008-12-03 22:31:27 EST
*** Bug 474080 has been marked as a duplicate of this bug. ***
Comment 6 Dan Williams 2009-10-14 23:58:21 EDT
Update: NM 0.8.x (F12) supports PAN out of the box, and 0.8.1 will have DUN.
Comment 7 Bernie Innocenti 2009-10-15 04:57:44 EDT
Rock!
Comment 8 Daniel Qarras 2009-10-23 12:55:49 EDT
Excuse me for a silly question but how is this supposed to work? I have now Fedora 12 Beta and updates as of 2009-19-23 but I do not see anything Bluetooth related in NM menus even after creating a Mobile Broadband connection for my provider. I also tried so that I browsed files on my phone to make sure Bluetooth connection is alive but I still see nothing related.
Comment 9 Dan Williams 2009-10-23 13:39:21 EDT
(In reply to comment #8)
> Excuse me for a silly question but how is this supposed to work? I have now
> Fedora 12 Beta and updates as of 2009-19-23 but I do not see anything Bluetooth
> related in NM menus even after creating a Mobile Broadband connection for my
> provider. I also tried so that I browsed files on my phone to make sure
> Bluetooth connection is alive but I still see nothing related.  

http://blogs.gnome.org/dcbw/2009/07/10/unwire-with-networkmanager/

That's how it works, and that'll also be how it works with DUN.  After that, we'll probably also add the ability to do a new connection after you've paired, from the connection editor.
Comment 10 Daniel Qarras 2009-10-23 19:15:32 EDT
Unfortunately that does not work. When I pair my laptop and my phone, in the final window I only see:

Successfully set up new device 'Nokia E75'

                                  [Close]

So there is no way to select anything as was in your example.
Comment 11 Daniel Qarras 2009-10-23 20:00:44 EDT
FWIW, I see these warnings in the system log:

Oct 24 02:45:16 localhost NetworkManager: <WARN>  device_creator(): /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Oct 24 02:45:16 localhost NetworkManager: <WARN>  device_creator(): /sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring...
Oct 24 02:45:16 localhost NetworkManager: <WARN>  default_adapter_cb(): bluez error getting default adapter: The name org.bluez was not provided by any .service files

As said, browsing files on the phone over Bluetooth works perfectly.
Comment 12 Dan Williams 2009-10-23 20:32:09 EDT
That means your device likely doesn't actually support PAN, otherwise the box would have shown up.  Not all devices support PAN, and most Nokia devices only support DUN.

http://www.phonescoop.com/phones/phone.php?p=1957

Your device does not appear to support the PAN profile at all.  You get to wait until NM 0.8.1 for PAN; that'll come a bit later this year as 80% of the work for it is done and waiting for 0.8 to get out, then we merge DUN support to master and cut 0.8.1.

Ignore the "/sys/devices/virtual/net/pan0: couldn't determine device driver; ignoring..." messages, that doesn't mean your modem supports pan0 at all, that's just junk from Bluez setting up a fake PAN interface.
Comment 13 Dan Williams 2010-01-29 19:24:22 EST
Bluetooth DUN support is included in:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1952783
Comment 14 Dan Williams 2010-01-29 19:44:26 EST
Correction, the following build has BT DUN support:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1952794
Comment 15 Daniel Qarras 2010-01-30 05:35:14 EST
Outstanding! As if magic, I can now connect to the Internet over Bluetooth with my Nokia E75!

I'm actually running Fedora 12 + updates and for this test I updated ppp and ModemManager from updates-testing and then installed NM RPMs from Koji.

All seems to work perfectly but I do see some warning/error entries in syslog - not sure would these go away on Fedora 13 or are these even worth noticing but just for completeness I'll paste them below with some context:

...
Jan 30 12:25:16 localhost bluetoothd[1015]: link_key_request (sba=xxx, dba=xxx)
Jan 30 12:25:16 localhost modem-manager: (rfcomm0) opening serial device...
Jan 30 12:25:17 localhost modem-manager: (rfcomm0) closing serial device...
Jan 30 12:25:17 localhost modem-manager: Generic: (tty/rfcomm0) WARNING: missing udev 'device' file
Jan 30 12:25:17 localhost modem-manager: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1d.2/usb4/4-2/4-2.3 claimed port rfcomm0
Jan 30 12:25:17 localhost NetworkManager: <info>  Activation (xxx/bluetooth) Stage 2 of 5 (Device Configure) modem found.
Jan 30 12:25:17 localhost modem-manager: (rfcomm0) opening serial device...
Jan 30 12:25:17 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/2: state changed (disabled -> enabling)
...

...
Jan 30 12:25:48 localhost NetworkManager: <info>  (xxx): deactivating device (reason: 39).
Jan 30 12:25:48 localhost pppd[2612]: Terminating on signal 15
Jan 30 12:25:48 localhost pppd[2612]: Connect time 0.5 minutes.
Jan 30 12:25:48 localhost pppd[2612]: Sent 11908 bytes, received 69836 bytes.
Jan 30 12:25:48 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/2: state changed (connected -> disconnecting)
Jan 30 12:25:48 localhost NetworkManager: <WARN>  check_one_route(): (ppp0) error -34 returned from rtnl_route_del(): Sucess#012
Jan 30 12:25:48 localhost NetworkManager: <WARN>  check_one_route(): (ppp0) error -3 returned from rtnl_route_del(): Sucess#012
Jan 30 12:25:48 localhost dbus: Rejected send message, 2 matched rules; type="method_return", sender=":1.11" (uid=0 pid=1010 comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.8" (uid=0 pid=1001 comm="NetworkManager))
Jan 30 12:25:48 localhost pppd[2612]: Modem hangup
Jan 30 12:25:48 localhost pppd[2612]: Connection terminated.
Jan 30 12:25:48 localhost modem-manager: (rfcomm0) closing serial device...
Jan 30 12:25:48 localhost dbus: Rejected send message, 1 matched rules; type="error", sender=":1.8" (uid=0 pid=1001 comm="NetworkManager) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.89" (uid=0 pid=2612 comm="/usr/sbin/pppd))
Jan 30 12:25:48 localhost dbus: Rejected send message, 1 matched rules; type="error", sender=":1.8" (uid=0 pid=1001 comm="NetworkManager) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.89" (uid=0 pid=2612 comm="/usr/sbin/pppd))
Jan 30 12:25:48 localhost dbus: Rejected send message, 1 matched rules; type="error", sender=":1.8" (uid=0 pid=1001 comm="NetworkManager) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.89" (uid=0 pid=2612 comm="/usr/sbin/pppd))
Jan 30 12:25:48 localhost dbus: Rejected send message, 1 matched rules; type="error", sender=":1.8" (uid=0 pid=1001 comm="NetworkManager) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.89" (uid=0 pid=2612 comm="/usr/sbin/pppd))
Jan 30 12:25:48 localhost modem-manager: Modem /org/freedesktop/ModemManager/Modems/2: state changed (disconnecting -> disabled)
Jan 30 12:25:48 localhost dbus: Rejected send message, 1 matched rules; type="error", sender=":1.8" (uid=0 pid=1001 comm="NetworkManager) interface="(unset)" member="(unset)" error name="org.freedesktop.DBus.Error.UnknownMethod" requested_reply=0 destination=":1.89" (uid=0 pid=2612 comm="/usr/sbin/pppd))
Jan 30 12:25:48 localhost pppd[2612]: Exit.
...

All in all, great work, thanks a million!

Note You need to log in before you can comment on or make changes to this bug.